IMMPViewConfiguration (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.mmp.IMMPViewConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.mmp
Interface IMMPViewConfiguration

All Superinterfaces:
  IViewConfiguration

All Known Implementing Classes:
  DefaultMMPViewConfiguration

    public interface IMMPViewConfiguration

extends IViewConfiguration

This encapsulates differences between different MMP versions.

Method Summary
`java.lang.String` | `getDefaultDefFileBase(boolean isASSP)` Get the default directory used for .def file exports.
`boolean` | `isEmulatorBuild()` Tell if this is an emulator build.
`boolean` | `isStatementSupported(EMMPStatement statement)` Tell whether the given MMP keyword is supported.

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.IViewConfiguration
`getMacros, getViewFilter, getViewParserConfiguration`

Method Detail

### isStatementSupported

    boolean isStatementSupported(EMMPStatement statement)

  Tell whether the given MMP keyword is supported.

### getDefaultDefFileBase

    java.lang.String getDefaultDefFileBase(boolean isASSP)

  Get the default directory used for .def file exports.

  Parameters:
    `isASSP` - true if this is an ASSP build
  Returns:
    the name of the directory used for platform-specific defs (e.g. "BWINS", "EABI", ...). This directory, if present, is removed from the path before setting DEFFILE. May be null if unknown.

### isEmulatorBuild

    boolean isEmulatorBuild()

  Tell if this is an emulator build. Used for .def filepath calculation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD